Subject: Re: [PATCH v2] config.mak.uname: update settings for FreeBSD

From: "brian m. carlson" <[email-masked]>
Date: Thu, 12 Jun 2025 16:48:49 +0000

On 2025-06-12 at 13:52:03, Carlo Arenas wrote:
> On Thu, Jun 12, 2025 at 12:36:46AM -0800, Brad Smith wrote:
> >
> > FreeBSD 6.0 has memmem().
> 
> but AFAIK it was buggy, uncompatible with the "standard" and
> didn't perform that well, at least until FreeBSD 12.
> 
> assuming that the system version is indeed faster than the
> one provided with git (which should be true but worth testing)
> then it might be better to only enable this for later versions?

FreeBSD 11.4 (the last version of FreeBSD 11) went end of life in
September 2021, so nobody should be using it since it hasn't had
security support since then.  And it's even been functional (but slow)
since FreeBSD 11.0, and 10.4 went EOL in 2018.  So users shouldn't
actually be experiencing any actual functionality problems since then.

I don't think it's a big deal for people who want to use an obsolete OS
(which, to be clear, I'm not encouraging) to tweak the Makefile knobs a
bit.

> > With making 6.0 the minimum version drop bits for supporting
> > FreeBSD 4.x.
> 
> FreeBSD 4.x is no longer supported and wouldn't even build a
> current git, since it predates C99 and is missing POSIX
> compatibility with what we require (ex: no statvfs)

I definitely think getting rid of FreeBSD 4 support is fine.  It doesn't
even support AMD64, so as a practical matter it wouldn't be useful on
any sort of modern hardware.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA